Subject: [AVTCORE] RTCP traffic class

From: Kevin Gross <[email-masked]>
Date: Fri, 1 Jun 2012 10:49:15 -0600

Is there any guidance available as to how RTCP traffic should be treated by
a network? Should it be given the same QoS as associated RTP traffic or is
best effort adequate? I have reviewed the RFC 3550, 3551
and draft-ietf-mmusic-traffic-class-for-sdp and I haven't found a
recommendation.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

---

From: Marshall Eubanks <[email-masked]>
Date: Fri, 1 Jun 2012 15:08:40 -0400

> and draft-ietf-mmusic-traffic-class-for-sdp and I haven't found a

This is just my opinion, but I have always recommended that RTCP have
the same _or better_ QOS than the associated RTP flows :

The traffic is small and bounded and (depending on how you are doing your RTP)
RTCP can be crucial to good performance.

Regards
Marshall

> Kevin Gross
> +1-303-447-0517
> Media Network Consultant
> AVA Networks - www.AVAnw.com, www.X192.org
>
>
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>

---

From: "Mo Zanaty (mzanaty)" <[email-masked]>
Date: Fri, 1 Jun 2012 14:40:41 -0500

RFC 4594 recommends that RTCP and RTP have the same QoS/PHB/DSCP.
Also see the update in progress:
http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00

Mo

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Marshall Eubanks
Sent: Friday, June 01, 2012 3:09 PM
To: Kevin Gross
Cc: [email-masked]
Subject: Re: [AVTCORE] RTCP traffic class

Regards
Marshall

---

From: Kevin Gross <[email-masked]>
Date: Fri, 1 Jun 2012 14:48:11 -0600

Thanks Mo, Marshall.

I forgot to mention that I had checked RFC 4594 and see one mention of RTCP
in section 4.3 but that did not look like a clear and general
recommendation. Have I missed something?

Section 4.1 of draft-polk-tsvwg-rfc4594-update<http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>
is
quite clear about RTCP classification for the "Conversational Service Class
Group" but it is not clear that this is a general recommendation for RTCP.

The recommendation to use the same class for RTCP can be a bit tricky at
the receiver. The receiver certainly can't rely on incoming DSCP on RTP or
SR packets to know how to mark outgoing RRs.
Maybe draft-ietf-mmusic-traffic-class-for-sdp helps. Maybe there's a
simpler solution.

Kevin Gross

---

From: "Mo Zanaty (mzanaty)" <[email-masked]>
Date: Fri, 1 Jun 2012 16:39:25 -0500

> Maybe there's a simpler solution.

For sendrecv and sendonly sessions, send RTCP using the same DSCP as
sent RTP.

For recvonly sessions (if that's what you mean by "can be a bit tricky
at the receiver"),

send RTCP using the same DSCP you would have used for sending RTP
(despite not actually sending RTP).

This becomes almost mandatory when both use the same port (RFC 5761
rtcp-mux), as it is not always easy (or even possible) in some operating
systems to change DSCP per packet on the same port.

Mo

From: Kevin Gross [mailto:[email-masked]] 
Sent: Friday, June 01, 2012 4:48 PM
To: Mo Zanaty (mzanaty)
Cc: Marshall Eubanks; [email-masked]; James Polk (jmpolk)
Subject: Re: [AVTCORE] RTCP traffic class

Thanks Mo, Marshall.

I forgot to mention that I had checked RFC 4594 and see one mention of
RTCP in section 4.3 but that did not look like a clear and general
recommendation. Have I missed something?

Section 4.1 of draft-polk-tsvwg-rfc4594-update
<http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>  is
quite clear about RTCP classification for the "Conversational Service
Class Group" but it is not clear that this is a general recommendation
for RTCP.

The recommendation to use the same class for RTCP can be a bit tricky at
the receiver. The receiver certainly can't rely on incoming DSCP on RTP
or SR packets to know how to mark outgoing RRs. Maybe
draft-ietf-mmusic-traffic-class-for-sdp helps. Maybe there's a simpler
solution.

Kevin Gross

On Fri, Jun 1, 2012 at 1:40 PM, Mo Zanaty (mzanaty) <[email-masked]>
wrote:

Mo

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Marshall Eubanks
Sent: Friday, June 01, 2012 3:09 PM
To: Kevin Gross
Cc: [email-masked]
Subject: Re: [AVTCORE] RTCP traffic class

The traffic is small and bounded and (depending on how you are doing
your RTP)
RTCP can be crucial to good performance.

Regards
Marshall

> Kevin Gross
> +1-303-447-0517 <tel:%2B1-303-447-0517> 
> Media Network Consultant

---

From: Kevin Gross <[email-masked]>
Date: Fri, 1 Jun 2012 16:22:13 -0600

Yes, exactly, and it would be nice if such a general statement were
published in an RFC at some point. This is the language I had proposed to
describe the tricky bit.

"Senders must mark RTCP packets they send with the same DSCP value as their
respective RTP stream packets. Receivers should mark RTCP packets they send
with the same DSCP value they would use on RTP packets if transmitting a
similar stream."

Kevin Gross

On Fri, Jun 1, 2012 at 3:39 PM, Mo Zanaty (mzanaty) <[email-masked]>wrote:

> > Maybe there's a simpler solution.****
>
> ** **
>
> For sendrecv and sendonly sessions, send RTCP using the same DSCP as sent
> RTP.****
>
> For recvonly sessions (if that’s what you mean by “can be a bit tricky at
> the receiver”),****
>
> send RTCP using the same DSCP you would have used for sending RTP (despite
> not actually sending RTP).****
>
> ** **
>
> systems to change DSCP per packet on the same port.****
>
> ** **
>
> Mo****
>
> ** **
>
> ** **
>
> *From:* Kevin Gross [mailto:[email-masked]]
> *Sent:* Friday, June 01, 2012 4:48 PM
> *To:* Mo Zanaty (mzanaty)
> *Cc:* Marshall Eubanks; [email-masked]; James Polk (jmpolk)
>
> *Subject:* Re: [AVTCORE] RTCP traffic class****
>
> ** **
>
> Thanks Mo, Marshall.****
>
> ** **
>
> recommendation. Have I missed something?****
>
> ** **
>
> Section 4.1 of draft-polk-tsvwg-rfc4594-update<http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00> is
> Class Group" but it is not clear that this is a general recommendation for
> RTCP.****
>
> ** **
>
> simpler solution.****
> Kevin Gross****
> ** **
> wrote:****
> Mo****
> > AVA Networks - www.AVAnw.com, www.X192.org****
>
> ** **
>

---

From: James Polk <[email-masked]>
Date: Fri, 01 Jun 2012 18:43:12 -0500

Kevin

Where would you like to see this sort of text (i.e., in which draft)?

If in SDP, do you mind making that comment on the MMUSIC list?

If as a part of DSCP guidelines, do you mind making that comment on 
the TSVWG list?

James

At 05:22 PM 6/1/2012, Kevin Gross wrote:
>published in an RFC at some point. This is the language I had 
>proposed to describe the tricky bit.
>
>"Senders must mark RTCP packets they send with the same DSCP value 
>as their respective RTP stream packets. Receivers should mark RTCP 
>packets they send with the same DSCP value they would use on RTP 
>packets if transmitting a similar stream."
>
>Kevin Gross
>
>On Fri, Jun 1, 2012 at 3:39 PM, Mo Zanaty (mzanaty) 
><<mailto:[email-masked]>[email-masked]> wrote:
>
>For sendrecv and sendonly sessions, send RTCP using the same DSCP as sent RTP.
>
>For recvonly sessions (if that's what you mean by "can be a bit 
>tricky at the receiver"),
>
>rtcp-mux), as it is not always easy (or even possible) in some 
>operating systems to change DSCP per packet on the same port.
>
>
>
>Mo
>
>
>
>
>
>Cc: Marshall Eubanks; <mailto:[email-masked]>[email-masked]; James Polk (jmpolk)
>
>I forgot to mention that I had checked RFC 4594 and see one mention 
>of RTCP in section 4.3 but that did not look like a clear and 
>general recommendation. Have I missed something?
>
>
>
>Section 4.1 of 
><http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>draft-polk-tsvwg-rfc4594-update 
>is quite clear about RTCP classification for the "Conversational 
>Service Class Group" but it is not clear that this is a general 
>recommendation for RTCP.
>
>
>
>The recommendation to use the same class for RTCP can be a bit 
>tricky at the receiver. The receiver certainly can't rely on 
>incoming DSCP on RTP or SR packets to know how to mark outgoing RRs. 
>On Fri, Jun 1, 2012 at 1:40 PM, Mo Zanaty (mzanaty) 
><<mailto:[email-masked]>[email-masked]> wrote:
>
><http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00
>
>Mo
>
>
>From: <mailto:[email-masked]>[email-masked] 
>[mailto:[email-masked]] On Behalf Of Marshall Eubanks
>Cc: <mailto:[email-masked]>[email-masked]
>On Fri, Jun 1, 2012 at 12:49 PM, Kevin Gross 
><<mailto:[email-masked]>[email-masked]> wrote:
> > <tel:%2B1-303-447-0517>+1-303-447-0517
> > Media Network Consultant
> > AVA Networks - <http://www.AVAnw.com>www.AVAnw.com, www.X192.org
>
>
>

---

From: Kevin Gross <[email-masked]>
Date: Fri, 1 Jun 2012 18:08:10 -0600

I would actually expect to find it in RFC 3550. The second place I'd look
is a DiffServ RFC (e.g. RFC 4594). It's not really an SDP issue
though draft-polk-mmusic-traffic-class-for-sdp might want to include
an informative reference.

Kevin Gross

On Fri, Jun 1, 2012 at 5:43 PM, James Polk <[email-masked]> wrote:

> If as a part of DSCP guidelines, do you mind making that comment on the
> TSVWG list?
>
> James
>
>
>> "Senders must mark RTCP packets they send with the same DSCP value as
>> their respective RTP stream packets. Receivers should mark RTCP packets
>> they send with the same DSCP value they would use on RTP packets if
>> transmitting a similar stream."
>>
>> Kevin Gross
>>
>> On Fri, Jun 1, 2012 at 3:39 PM, Mo Zanaty (mzanaty) <<mailto:
>> [email-masked]>[email-masked] <[email-masked]>> wrote:
>>
>> RTP.
>> For recvonly sessions (if that's what you mean by "can be a bit tricky at
>> the receiver"),
>>
>> Cc: Marshall Eubanks; <mailto:[email-masked]>avt@ietf.**org <[email-masked]>;
>> James Polk (jmpolk)
>>
>>
>> Section 4.1 of <http://tools.ietf.org/html/**draft-polk-tsvwg-rfc4594-**
>> update-00 <http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>
>> >draft-polk-tsvwg-**rfc4594-update is quite clear about RTCP
>> classification for the "Conversational Service Class Group" but it is not
>> clear that this is a general recommendation for RTCP.
>>
>>
>>
>>
>> SR packets to know how to mark outgoing RRs. Maybe
>> draft-ietf-mmusic-traffic-**class-for-sdp helps. Maybe there's a simpler
>> solution.
>>
>>
>> Kevin Gross
>>
>>
>>
>> On Fri, Jun 1, 2012 at 1:40 PM, Mo Zanaty (mzanaty) <<mailto:
>> [email-masked]>[email-masked] <[email-masked]>> wrote:
>>
>> <http://tools.ietf.org/html/**draft-polk-tsvwg-rfc4594-**update-00<http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>
>> >http://tools.ietf.**org/html/draft-polk-tsvwg-**rfc4594-update-00<http://tools.ietf.org/html/draft-polk-tsvwg-rfc4594-update-00>
>>
>> Mo
>>
>>
>>
>> From: <mailto:[email-masked]>[email-masked]<[email-masked]>[mailto:
>> [email-masked]] On Behalf Of Marshall Eubanks
>> Cc: <mailto:[email-masked]>avt@ietf.**org <[email-masked]>
>> On Fri, Jun 1, 2012 at 12:49 PM, Kevin Gross <<mailto:
>> [email-masked]**>[email-masked]> wrote:
>> > and draft-ietf-mmusic-traffic-**class-for-sdp and I haven't found a
>> > recommendation.
>> >
>>
>> > AVA Networks - <http://www.AVAnw.com>www.**AVAnw.com<http://www.AVAnw.com>,
>> www.X192.org
>>
>>
>>
>>
>